libcomps:

  • Make libcomps packagable as a Python package
  • Add missing python metadata to python2/3-libcomps
  • Fix segfault when converting empty dict to string (RhBug:1757959)

libdnf:

  • Report reason how package was excluded (RhBug:1649754)
  • Additional Arm detection improvements (RhBug:1691430)
  • Set skip_if_unavailable for media repos to skip their update (RhBug:1716067)
  • Add support of xml:base for remote and local url in context (RhBug:1734350, 1717865)
  • Handle NoModuleException in dnf_context_reset_modules (RhBug:1767453)
  • Add missing C function hy_nevra_free() for HyNevra deallocation
  • Context part of libdnf now uses metadata_expire from global configuration

dnf:

  • Enable versionlock for check-update command (RhBug:1750620)
  • Add error message when no active modules matched (RhBug:1696204)
  • Log mirror failures as warning when repo load fails (RhBug:1713627)
  • dnf-automatic: Change all systemd timers to a fixed time of day (RhBug:1754609)
  • DNF can use config from the remote location (RhBug:1721091)
  • [doc] update reference to plugin documentation (RhBug:1706386)
  • [yum compatibility] Report all packages in repoinfo
  • [doc] Add definition of active/inactive module stream
  • repoquery: Add a switch to disable modular excludes
  • Report more informative messages when no match for argument (RhBug:1709563)
  • [doc] Add description of excludes in dnf
  • Report more descriptive message when removed package is excluded
  • Add module repoquery command
  • Fix assumptions about ARMv8 and the way the rpm features work (RhBug:1691430)
  • Add Requires information into module info commands
  • Enhance inheritance of transaction reasons (RhBug:1672618,1769788)
  • Make DNF compatible with FIPS mode (RhBug:1762032)
  • Return always alphabetically sorted modular profiles

microdnf:

  • Fix: do not download metadata in remove command
  • Add repolist command (RhBug:1584952)
  • Add repoquery command (RhBug:1769245)

dnf-plugins-core:

  • [reposync] Add --urls option (RhBug:1686602)
  • [versionlock] Add --raw option (RhBug:1645564)
  • [doc] move manpages for plugins to "dnf-PLUGIN" (RhBug:1706386)
  • Add new plugin post-transaction-actions (RhBug:967264)
  • [builddep] Add --skip-unavailable switch (RhBug:1628634)
  • [versionlock] Don't apply excludes on @System (RhBug:1726712)
  • [reposync] Ignore only modular excludes (RhBug:1750273)

How to install

sudo dnf upgrade --advisory=FEDORA-2019-1635fee8f5

This update has been submitted for testing by amatej.

5 days ago

This update's test gating status has been changed to 'waiting'.

5 days ago

This update's test gating status has been changed to 'ignored'.

5 days ago

This update has been pushed to testing.

5 days ago
User Icon atim provided feedback 4 days ago
karma
Test Case base update cli
User Icon frantisekz commented & provided feedback 4 days ago
karma

Basic operations (install, update, remove, info) seem to be working just fine

This update can be pushed to stable now if the maintainer wishes

4 days ago
User Icon pwalter commented & provided feedback 4 days ago
karma

Works

User Icon mikedep333 commented & provided feedback 4 days ago
karma

libcomps-devel can no longer be installed (or updated to); just like with f30:

[mdepaulo@mdepaulo containers]$ sudo dnf install libcomps-devel --enablerepo=updates-testing
Last metadata expiration check: 1:02:06 ago on Tue 03 Dec 2019 02:25:12 PM EST.
Dependencies resolved.

 Problem: cannot install the best candidate for the job
  - nothing provides pkgconfig(-lcomps) needed by libcomps-devel-0.1.12-1.fc31.x86_64
  - nothing provides pkgconfig(-L/usr/lib64) needed by libcomps-devel-0.1.12-1.fc31.x86_64
==============================================================================================================================
 Package                        Architecture           Version                          Repository                       Size
==============================================================================================================================
Installing:
 libcomps-devel                 x86_64                 0.1.11-3.fc31                    fedora                           28 k
Skipping packages with broken dependencies:
 libcomps-devel                 x86_64                 0.1.12-1.fc31                    updates-testing                  28 k

Transaction Summary
==============================================================================================================================
Install  1 Package
Skip     1 Package

Total download size: 28 k
Installed size: 125 k
Is this ok [y/N]: N
Operation aborted.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

4 days ago
User Icon decathorpe commented & provided feedback 4 days ago
karma

This update makes libcomps-devel uninstallable due to borked pkgconfig(-L/usr/lib64) and pkgconfig(-lcomps) dependencies.

amatej edited this update.

3 days ago

amatej edited this update.

New build(s):

  • libcomps-0.1.14-1.fc31

Removed build(s):

  • libcomps-0.1.12-1.fc31

Karma has been reset.

3 days ago

This update has been submitted for testing by amatej.

3 days ago
User Icon amatej commented & provided feedback 3 days ago

Thank you for the reports, I have updated the libcomps package which should have the problem fixed.

User Icon lruzicka commented & provided feedback 3 days ago
karma

Works for me, thank you

User Icon freddyw commented & provided feedback 3 days ago

According to the changelog, this should be included in the dnf-plugins-core: "new plugin post-transaction-actions (RhBug:967264)" That does not appear to the case. Since nothing is really broken I will not provide negative karma.

This update has been pushed to testing.

3 days ago
User Icon dhgutteridge commented & provided feedback 3 days ago
karma

No regressions noted.

Test Case base update cli

This update can be pushed to stable now if the maintainer wishes

3 days ago
User Icon amatej commented & provided feedback 2 days ago

freddyw: I think it should be included, there is a new python3-dnf-plugin-post-transaction-actions-4.0.12-1.fc31.noarch.rpm. It works fine for me.

amatej edited this update.

2 days ago
User Icon kuosmanen commented & provided feedback 2 days ago
karma

looks good

User Icon kparal commented & provided feedback 2 days ago
karma

tested dnf list, repolist, history, distrosync, install. No issues.

User Icon bojan provided feedback 2 days ago
karma

This update has been submitted for stable by bodhi.

2 days ago
User Icon freddyw commented & provided feedback 2 days ago
karma

Right, figured it out using python3-dnf-plugin-post-transaction-action indeed. Everything seems to work just fine.

BZ#1769788 dnf autoremove tries to remove kernel
Test Case base update cli

This update has been pushed to stable.

2 days ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
6
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
5
Stable by Time
14 days
Dates
submitted
5 days ago
in testing
3 days ago
in stable
2 days ago
modified
2 days ago
BZ#1672618 Upgrading obsoleted package doesn't keep reason
0
0
BZ#1750273 dnf reposync ignoring includepkgs directive (regression)
0
0
BZ#1769788 dnf autoremove tries to remove kernel
0
1

Automated Test Results

Test Cases

0 2 Test Case base update cli
0 0 Test Case langpacks packages